Change Reservation
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/wms/{warehouseId}/picklists/{picklistId}/positions/{picklistPositionId}/reservations/change \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"storageLocationList": [
"b45f6432-2462-4c6f-b00f-1d9d01000000"
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/wms/{warehouseId}/picklists/{picklistId}/positions/{picklistPositionId}/reservations/change"
payload = { "storageLocationList": ["b45f6432-2462-4c6f-b00f-1d9d01000000"] }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({storageLocationList: ['b45f6432-2462-4c6f-b00f-1d9d01000000']})
};
fetch('https://api.jtl-cloud.com/erp/v2/wms/{warehouseId}/picklists/{picklistId}/positions/{picklistPositionId}/reservations/change', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updatedPositions": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"picklistId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"storageLocationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"priority": 123,
"salesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"createdAt": "2023-11-07T05:31:56Z",
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
]
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}WMS
Change Reservation
Change reservation from a pick list position
PATCH
/
v2
/
wms
/
{warehouseId}
/
picklists
/
{picklistId}
/
positions
/
{picklistPositionId}
/
reservations
/
change
Change Reservation
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the wms warehouse where the pick list should be created.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The id of the pick list.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The id of the pick list position.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
application/json
The relevant information to change a pick list position.
Model Class: UpdateChangeReservation
Id of the storage location from where the pick should happen.
Was this page helpful?
⌘I